<?php
class Hispanicize_Wire_Feed_Repository
{
    public function getFeeds($url) {
        $json = FALSE;
        try {
            $content = $this->getDataFromUrl($url);
            if ($content !== FALSE) {
                $json = $content;
            }
        } catch(Exception $ex) {
            return FALSE;
        }
        return $json;
    }

    public function getDataFromUrl($url) {        
        $content = FALSE;
        try {
            $ch = curl_init();
            curl_setopt ($ch, CURLOPT_URL, $url);
            curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 5);
            curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
            $content = curl_exec($ch);
            if (curl_errno($ch)) {
                $content = FALSE;
            } else {
                curl_close($ch);
            }
            if (!is_string($content) || !strlen($content)) {
                $content = FALSE;
            }
        } catch(Exception $ex) {
            $content = FALSE;
        }
        return $content;
    }
}
