<?php
if (!defined('ABSPATH')) exit;

if ( !class_exists('Hispanicize_Wire_Post') ):

	class Hispanicize_Wire_Post
	{
		var $date;
		var $ts;
		var $link;
		var $author;
		var $title;
		var $category;
		var $thumbnail;
		var $summary;
		var $text;
	}

endif;

if ( !class_exists('Hispanicize_Wire_Feed') ):
	
	class Hispanicize_Wire_Feed
	{
		var $posts = array();

		public function __construct($url) {
			$cachedRepository = new Hispanicize_Wire_Feed_Cached_Repository();
			$json = $cachedRepository->getFeeds($url);
			if ($json === FALSE) {
				return;
			}
			$postsAPI = json_decode($json);
			foreach ($postsAPI as $postAPI) {
				$post = new Hispanicize_Wire_Post();
				$post->date = empty($postAPI->date) ? '' : (string) $postAPI->date;
				$post->ts = empty($postAPI->date) ? '' : strtotime($postAPI->date);
				$post->author = empty($postAPI->author) ? '' : (string) $postAPI->author;
				$post->category  = empty($postAPI->category) ? '' : (string) $postAPI->category;
				$post->link  = empty($postAPI->link) ? '' : (string) $postAPI->link;
				$post->title = empty($postAPI->title) ? '' : (string) $postAPI->title;
				$post->thumbnail  = empty($postAPI->thumbnail) ? '' : (string) $postAPI->thumbnail;
				$post->text  = empty($postAPI->content) ? '' : (string) $postAPI->content;
				$post->summary = empty($postAPI->summary) ? '' : (string) $postAPI->summary;
				$this->posts[] = $post;
			}
		}
	}

endif;

?>